import React from "react";
import NotFound from '../../Images/not_found.png';

import { 
    RemoveRedEye as RemoveRedEyeIcon,
    Edit as EditIcon,
    HighlightOff as HighlightOffIcon,
} from '@mui/icons-material';


import { Row, Col } from 'react-bootstrap'

export function GridMode(props){

    let { setEdit, setDelete, setShow, setPuesto, data } = props;

    return(
        <React.Fragment> 
            {
                data.length ? 
                    data.map( plaza => {
                        return(
                            <Col key={plaza.id} lg="4" md="6" sm="6" xs="12" >
                                <div className="panel">
                                    <Row>
                                        <Col md="4">
                                            <div className="img-container">
                                                <img alt="not found" src={NotFound}/>
                                            </div>
                                        </Col>
                                        <Col md="8">
                                            <div className="info_details">
                                                <p>{ plaza.nombre }</p>
                                                <p>{ plaza.description }</p>
                                                <p>{'100'}</p>
                                            </div>
                                            <div className="btn_interactivos">

                                                <div className="botones_interactivos">
                                                    <span 
                                                        onClick={ () => {
                                                            setPuesto(plaza)
                                                            setShow(true)
                                                        }} 
                                                        tooltip-location="top" 
                                                        tooltip="Ver plaza">
                                                        <RemoveRedEyeIcon className="grid_btn"/>
                                                    </span>
                                                </div>
                                                <div className="botones_interactivos">
                                                    <span 
                                                        onClick={() => {
                                                            setPuesto(plaza)
                                                            setEdit(true)
                                                        }} 
                                                        tooltip-location="top" 
                                                        tooltip="Editar plaza">
                                                        <EditIcon className="grid_btn"/>
                                                    </span>
                                                </div>
                                                <div className="botones_interactivos">
                                                    <span 
                                                        onClick={() => {
                                                            setPuesto(plaza)
                                                            setDelete(true)
                                                        }} 
                                                        tooltip-location="top" 
                                                        tooltip="Eliminar plaza">
                                                        <HighlightOffIcon className="grid_btn"/>
                                                    </span>
                                                </div>

                                            </div>
                                        </Col>
                                    </Row>
                                </div>
                            </Col>
                        )
                    }) : <h1>no hay data</h1>
            }
        </React.Fragment>
    )
}
